## libkf5eventviews 22.12.0

=== debian/changelog ===
libkf5eventviews (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:27 +0100

libkf5eventviews (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update patches.
  * Update list of installed files.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:05:47 +0100

libkf5eventviews (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:19 +0100

libkf5eventviews (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:12:42 +0200

libkf5eventviews (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:11:16 +0200

libkf5eventviews (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:46:49 +0200

libkf5eventviews (4:22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:58:21 +0200

libkf5eventviews (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:03:16 +0200

libkf5eventviews (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:48:09 +0200

libkf5eventviews (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update patches.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 19:18:20 +0200

libkf5eventviews (4:21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:11:09 +0200

libkf5eventviews (4:21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Refresh patches.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:32:49 +0100

libkf5eventviews (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:25:15 +0900

libkf5eventviews (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:35:25 +0900

libkf5eventviews (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:39:29 +0900

libkf5eventviews (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:14:11 +0900

libkf5eventviews (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Update Debian ABI Manager patch.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:46:53 +0900

=== debian/control ===
Source: libkf5eventviews
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libkf5akonadi-dev (>= 4:22.12.0~),
               libkf5akonadicalendar-dev (>= 4:22.12.0~),
               libkf5calendarcore-dev (>= 5:5.99.0~),
               libkf5calendarsupport-dev (>= 4:22.12.0~),
               libkf5calendarutils-dev (>= 4:22.12.0~),
               libkf5codecs-dev (>= 5.99.0~),
               libkf5completion-dev (>= 5.99.0~),
               libkf5configwidgets-dev (>= 5.99.0~),
               libkf5contacts-dev (>= 5:5.99.0~),
               libkf5guiaddons-dev (>= 5.99.0~),
               libkf5holidays-dev (>= 1:5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5iconthemes-dev (>= 5.99.0~),
               libkf5itemmodels-dev (>= 5.99.0~),
               libkf5libkdepim-dev (>= 4:22.12.0~),
               libkf5mime-dev (>= 22.12.0~),
               libkf5service-dev (>= 5.99.0~),
               libkgantt-dev (>= 1.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.11.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/eventviews
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/eventviews
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/eventviews.git
Rules-Requires-Root: no

Package: libkf5eventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libkf5eventviews-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.12.0~),
         libkf5akonadicalendar-dev (>= 4:22.12.0~),
         libkf5calendarsupport-dev (>= 4:22.12.0~),
         libkf5calendarutils-dev (>= 4:22.12.0~),
         libkf5eventviews5abi1 (= ${binary:Version}),
         ${misc:Depends},
Description: KDE PIM event handling - devel files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

Package: libkf5eventviews5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5EventViews
Architecture: any
Multi-Arch: same
Depends: libkf5eventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.
Provides: ${ABI:VirtualPackage}

## libkf5eventviews 22.12.3

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.22.3")

project(eventviews VERSION ${PIM_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.99.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddTests)
include(ECMAddQch)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
set(CALENDARUTILS_LIB_VERSION "5.22.3")
set(AKONADI_LIB_VERSION "5.22.3")
set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()
set(AKONADICALENDAR_LIB_VERSION "5.22.3")
set(KMIME_LIB_VERSION "5.22.3")
set(LIBKDEPIM_LIB_VERSION "5.22.3")
set(CALENDARSUPPORT_LIB_VERSION "5.22.3")

find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5GuiAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)

set(KDIAGRAM_LIB_VERSION "1.4.0")
find_package(KGantt ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX EVENTVIEWS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfigVersion.cmake"
                        SOVERSION 5
)
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()


########### Targets ###########


ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.99.0
)


########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5EventViews")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5EventViewsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5EventViewsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5EventViewsTargets.cmake NAMESPACE KF5::)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/EventViews COMPONENT Devel
)

add_subdirectory(src)
if(BUILD_TESTING)
  find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
  add_subdirectory(tests)
endif()

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5EventViews_QCH
        FILE KF5EventViewsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5EventViewsQchTargets.cmake\")")
endif()
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkf5eventviews (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:33:26 +0100

libkf5eventviews (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:27:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
-           Sandro Knauß <hefee@debian.org>,
+Uploaders: Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.99.0~),
                gettext,
-               libkf5akonadi-dev (>= 4:22.12.0~),
-               libkf5akonadicalendar-dev (>= 4:22.12.0~),
+               libkf5akonadi-dev (>= 4:22.12.3~),
+               libkf5akonadicalendar-dev (>= 4:22.12.3~),
                libkf5calendarcore-dev (>= 5:5.99.0~),
-               libkf5calendarsupport-dev (>= 4:22.12.0~),
-               libkf5calendarutils-dev (>= 4:22.12.0~),
+               libkf5calendarsupport-dev (>= 4:22.12.3~),
+               libkf5calendarutils-dev (>= 4:22.12.3~),
                libkf5codecs-dev (>= 5.99.0~),
                libkf5completion-dev (>= 5.99.0~),
                libkf5configwidgets-dev (>= 5.99.0~),
@@ -23,8 +22,8 @@
                libkf5i18n-dev (>= 5.99.0~),
                libkf5iconthemes-dev (>= 5.99.0~),
                libkf5itemmodels-dev (>= 5.99.0~),
-               libkf5libkdepim-dev (>= 4:22.12.0~),
-               libkf5mime-dev (>= 22.12.0~),
+               libkf5libkdepim-dev (>= 4:22.12.3~),
+               libkf5mime-dev (>= 22.12.3~),
                libkf5service-dev (>= 5.99.0~),
                libkgantt-dev (>= 1.4.0~),
                pkg-kde-tools (>= 0.12),
@@ -39,7 +38,7 @@
 Package: libkf5eventviews-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: KDE PIM event handling - data files
  This library provides an event creator for KDE PIM.
  .
@@ -49,10 +48,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:22.12.0~),
-         libkf5akonadicalendar-dev (>= 4:22.12.0~),
-         libkf5calendarsupport-dev (>= 4:22.12.0~),
-         libkf5calendarutils-dev (>= 4:22.12.0~),
+Depends: libkf5akonadi-dev (>= 4:22.12.3~),
+         libkf5akonadicalendar-dev (>= 4:22.12.3~),
+         libkf5calendarsupport-dev (>= 4:22.12.3~),
+         libkf5calendarutils-dev (>= 4:22.12.3~),
          libkf5eventviews5abi1 (= ${binary:Version}),
          ${misc:Depends},
 Description: KDE PIM event handling - devel files
@@ -72,4 +71,4 @@
  This library provides an event creator for KDE PIM.
  .
  This package provides the shared libraries.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},

## libkf5eventviews 23.08.0

=== debian/changelog ===
libkf5eventviews (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:49:53 +0100

libkf5eventviews (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:58 +0100

libkf5eventviews (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:42:05 +0100

libkf5eventviews (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Rename library package: libkf5eventviews5abi1 -> libkpim5eventviews5
  * Rename data package: libkf5eventviews-data -> libkpim5eventviews-
    data
  * Sync debian/rules with debian, provide virtual ABI package
  * Disable tests after debian/rules sync with debian
  * Add libkf5textaddons-dev to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:58:30 +0100

libkf5eventviews (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:34:05 +0000

libkf5eventviews (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:10:23 -0600

libkf5eventviews (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:24:56 +0000

libkf5eventviews (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:04:56 +0000

libkf5eventviews (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:01:22 +0000

libkf5eventviews (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:38:27 +0000

libkf5eventviews (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:05:01 +0000

=== debian/control ===
Source: libkf5eventviews
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:23.08.0~),
               libkf5akonadicalendar-dev (>= 4:23.08.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:23.08.0~),
               libkf5calendarutils-dev (>= 4:23.08.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.0~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 23.08.0~),
               libkf5libkdepim-dev (>= 4:23.08.0~),
               libkf5mime-dev (>= 23.08.0~),
               libkf5textaddons-dev,
               libkgantt-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews

Package: libkpim5eventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: korganizer (<= 4:16.04), ${kde-l10n:all}
Replaces: libkf5eventviews-data (<< 4:23.04.1~),
          korganizer (<= 4:16.04),
          ${kde-l10n:all},
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libkf5eventviews-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:23.08.0~),
         libkf5akonadicalendar-dev (>= 4:23.08.0~),
         libkf5calendarsupport-dev (>= 4:23.08.0~),
         libkf5calendarutils-dev (>= 4:23.08.0~),
         libkpim5eventviews5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM event handling - devel files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

Package: libkpim5eventviews5
Architecture: any
Multi-Arch: same
Depends: libkpim5eventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.

## libkf5eventviews 23.08.1

=== debian/changelog ===
libkf5eventviews (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:55:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.0~),
-               libkf5akonadicalendar-dev (>= 4:23.08.0~),
+               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadicalendar-dev (>= 4:23.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:23.08.0~),
-               libkf5calendarutils-dev (>= 4:23.08.0~),
+               libkf5calendarsupport-dev (>= 4:23.08.1~),
+               libkf5calendarutils-dev (>= 4:23.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.0~),
+               libkf5contacteditor-dev (>= 4:23.08.1~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 23.08.0~),
-               libkf5libkdepim-dev (>= 4:23.08.0~),
-               libkf5mime-dev (>= 23.08.0~),
+               libkf5identitymanagement-dev (>= 23.08.1~),
+               libkf5libkdepim-dev (>= 4:23.08.1~),
+               libkf5mime-dev (>= 23.08.1~),
                libkf5textaddons-dev,
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
@@ -46,10 +46,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.0~),
-         libkf5akonadicalendar-dev (>= 4:23.08.0~),
-         libkf5calendarsupport-dev (>= 4:23.08.0~),
-         libkf5calendarutils-dev (>= 4:23.08.0~),
+Depends: libkf5akonadi-dev (>= 4:23.08.1~),
+         libkf5akonadicalendar-dev (>= 4:23.08.1~),
+         libkf5calendarsupport-dev (>= 4:23.08.1~),
+         libkf5calendarutils-dev (>= 4:23.08.1~),
          libkpim5eventviews5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## libkf5eventviews 23.08.4

=== debian/changelog ===
libkf5eventviews (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:11:21 +0000

libkf5eventviews (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:30:29 +0000

libkf5eventviews (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:26:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadicalendar-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadicalendar-dev (>= 4:23.08.4~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:23.08.1~),
-               libkf5calendarutils-dev (>= 4:23.08.1~),
+               libkf5calendarsupport-dev (>= 4:23.08.4~),
+               libkf5calendarutils-dev (>= 4:23.08.4~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.1~),
+               libkf5contacteditor-dev (>= 4:23.08.4~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 23.08.1~),
-               libkf5libkdepim-dev (>= 4:23.08.1~),
-               libkf5mime-dev (>= 23.08.1~),
+               libkf5identitymanagement-dev (>= 23.08.4~),
+               libkf5libkdepim-dev (>= 4:23.08.4~),
+               libkf5mime-dev (>= 23.08.4~),
                libkf5textaddons-dev,
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
@@ -46,10 +46,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.1~),
-         libkf5akonadicalendar-dev (>= 4:23.08.1~),
-         libkf5calendarsupport-dev (>= 4:23.08.1~),
-         libkf5calendarutils-dev (>= 4:23.08.1~),
+Depends: libkf5akonadi-dev (>= 4:23.08.4~),
+         libkf5akonadicalendar-dev (>= 4:23.08.4~),
+         libkf5calendarsupport-dev (>= 4:23.08.4~),
+         libkf5calendarutils-dev (>= 4:23.08.4~),
          libkpim5eventviews5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## libkf5eventviews 23.08.5

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.24.5")

project(eventviews VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "5.105.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddTests)
include(ECMAddQch)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
set(CALENDARUTILS_LIB_VERSION "5.24.5")
set(AKONADI_LIB_VERSION "5.24.5")
set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()
set(AKONADICALENDAR_LIB_VERSION "5.24.5")
set(KMIME_LIB_VERSION "5.24.5")
set(LIBKDEPIM_LIB_VERSION "5.24.5")
set(CALENDARSUPPORT_LIB_VERSION "5.24.5")

find_package(KPim${KF_MAJOR_VERSION}Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
find_package(KF${KF_MAJOR_VERSION}I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)

set(KDIAGRAM_LIB_VERSION "1.4.0")
find_package(KGantt ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim${KF_MAJOR_VERSION}Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX EVENTVIEWS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}EventViewsConfigVersion.cmake"
                        SOVERSION 5
)
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()


########### Targets ###########

if(BUILD_TESTING)
  add_definitions(-DBUILD_TESTING)
endif()

ecm_set_disabled_deprecation_versions(QT 6.4
     KF 5.105.0
)
add_subdirectory(src)
if(BUILD_TESTING)
  find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
  add_subdirectory(tests)
endif()


########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim${KF_MAJOR_VERSION}EventViews")
if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim${KF_MAJOR_VERSION}EventViews_QCH
        FILE KPim${KF_MAJOR_VERSION}EventViewsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim${KF_MAJOR_VERSION}EventViewsQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KPimEventViewsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}EventViewsConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}EventViewsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}EventViewsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KPim${KF_MAJOR_VERSION}EventViewsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim${KF_MAJOR_VERSION}EventViewsTargets.cmake NAMESPACE KPim${KF_MAJOR_VERSION}::)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/EventViews COMPONENT Devel
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_definitions(-DTRANSLATION_DOMAIN=\"libeventviews\")
add_library(KPim${KF_MAJOR_VERSION}EventViews)
add_library(KPim${KF_MAJOR_VERSION}::EventViews ALIAS KPim${KF_MAJOR_VERSION}EventViews)

if(KDEPIM_BUILD_EXAMPLES)
  add_subdirectory(viewerapp)
endif()

########### next target ###############

target_sources(KPim${KF_MAJOR_VERSION}EventViews PRIVATE
  eventview_p.cpp
  eventview.cpp
  helper.cpp
  prefs.cpp

  # Agenda view specific code.
  agenda/agenda.cpp
  agenda/agendaitem.cpp
  agenda/agendaview.cpp
  agenda/alternatelabel.cpp
  agenda/calendardecoration.cpp
  agenda/decorationlabel.cpp
  agenda/timelabels.cpp
  agenda/timelabelszone.cpp
  agenda/timescaleconfigdialog.cpp
  agenda/viewcalendar.cpp

  journal/journalframe.cpp
  journal/journalview.cpp

  list/listview.cpp

  month/monthgraphicsitems.cpp
  month/monthitem.cpp
  month/monthscene.cpp
  month/monthview.cpp

  multiagenda/multiagendaview.cpp

  todo/tododelegates.cpp
  todo/coloredtodoproxymodel.cpp

  todo/todoviewquickaddline.cpp
  todo/todoviewquicksearch.cpp
  todo/todoviewsortfilterproxymodel.cpp
  todo/todoviewview.cpp
  todo/todoview.cpp

  timeline/timelineview.cpp
  timeline/timelineitem.cpp
  timeline/timelineview_p.cpp

  whatsnext/whatsnextview.cpp

  eventview_p.h
  journal/journalframe.h
  journal/journalview.h
  list/listview.h
  eventview.h
  whatsnext/whatsnextview.h
  timeline/timelineview_p.h
  timeline/timelineview.h
  timeline/timelineitem.h
  todo/todoviewsortfilterproxymodel.h
  todo/todoviewview.h
  todo/todoviewquicksearch.h
  todo/tododelegates.h
  todo/todoview.h
  todo/todoviewquickaddline.h
  multiagenda/multiagendaview.h
  multiagenda/configdialoginterface.h
  agenda/timelabelszone.h
  agenda/agendaview.h
  agenda/timescaleconfigdialog.h
  agenda/alternatelabel.h
  agenda/agendaitem.h
  agenda/timelabels.h
  agenda/calendardecoration.h
  agenda/decorationlabel.h
  agenda/viewcalendar.h
  agenda/agenda.h
  month/monthview.h
  month/monthscene.h
  month/monthgraphicsitems.h
  month/monthitem.h
  helper.h
  prefs.h

)

kconfig_add_kcfg_files(KPim${KF_MAJOR_VERSION}EventViews prefs_base.kcfgc)

ecm_qt_declare_logging_category(KPim${KF_MAJOR_VERSION}EventViews HEADER calendarview_debug.h
        IDENTIFIER CALENDARVIEW_LOG
        CATEGORY_NAME org.kde.pim.calendarview
        OLD_CATEGORY_NAMES log_calendarview
        DESCRIPTION "kdepim (eventviews)" EXPORT EVENTVIEWS)

ki18n_wrap_ui(KPim${KF_MAJOR_VERSION}EventViews
  agenda/timescaleedit_base.ui
)


if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim${KF_MAJOR_VERSION}EventViews PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KPim${KF_MAJOR_VERSION}EventViews BASE_NAME eventviews)



target_link_libraries(KPim${KF_MAJOR_VERSION}EventViews
PUBLIC
  KPim${KF_MAJOR_VERSION}::AkonadiCore
  KPim${KF_MAJOR_VERSION}::CalendarSupport

  KF${KF_MAJOR_VERSION}::CalendarCore
  KPim${KF_MAJOR_VERSION}::CalendarUtils
  KPim${KF_MAJOR_VERSION}::AkonadiCalendar
  KF${KF_MAJOR_VERSION}::ItemModels
PRIVATE
  KF${KF_MAJOR_VERSION}::Holidays
  KF${KF_MAJOR_VERSION}::Completion
  KF${KF_MAJOR_VERSION}::Service
  KF${KF_MAJOR_VERSION}::IconThemes
  KF${KF_MAJOR_VERSION}::GuiAddons
  KF${KF_MAJOR_VERSION}::I18n
  KPim${KF_MAJOR_VERSION}::Libkdepim
  KF${KF_MAJOR_VERSION}::Codecs
  KGantt
  KPim${KF_MAJOR_VERSION}::AkonadiWidgets
  KF${KF_MAJOR_VERSION}::Contacts
)

target_include_directories(KPim${KF_MAJOR_VERSION}EventViews INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/EventViews/>")
target_include_directories(KPim${KF_MAJOR_VERSION}EventViews PUBLIC "$<BUILD_INTERFACE:${eventviews_SOURCE_DIR}/src;${eventviews_BINARY_DIR}/src;>")

set_target_properties(KPim${KF_MAJOR_VERSION}EventViews PROPERTIES
  VERSION ${EVENTVIEWS_VERSION}
  SOVERSION ${EVENTVIEWS_SOVERSION}
  EXPORT_NAME EventViews
)

install(TARGETS
  KPim${KF_MAJOR_VERSION}EventViews
  EXPORT KPim${KF_MAJOR_VERSION}EventViewsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(eventviews_CamelCase_HEADERS
  HEADER_NAMES
  Helper
  Prefs
  EventView
  REQUIRED_HEADERS eventviews_CamelCase_HEADERS
  PREFIX EventViews
)

ecm_generate_headers(eventviews_CamelCaseagenda_HEADERS
  HEADER_NAMES
  CalendarDecoration
  AgendaView
  ViewCalendar
  REQUIRED_HEADERS eventviews_agenda_HEADERS
  PREFIX EventViews
  RELATIVE agenda
)

ecm_generate_headers(eventviews_CamelCasetodo_HEADERS
  HEADER_NAMES
  TodoView
  REQUIRED_HEADERS eventviews_todo_HEADERS
  PREFIX EventViews
  RELATIVE todo
)

ecm_generate_headers(eventviews_CamelCasemonth_HEADERS
  HEADER_NAMES
  MonthView
  REQUIRED_HEADERS eventviews_month_HEADERS
  PREFIX EventViews
  RELATIVE month
)

ecm_generate_headers(eventviews_CamelCaselist_HEADERS
  HEADER_NAMES
  ListView
  REQUIRED_HEADERS eventviews_list_HEADERS
  PREFIX EventViews
  RELATIVE list
)

ecm_generate_headers(eventviews_CamelCasejournal_HEADERS
  HEADER_NAMES
  JournalView
  REQUIRED_HEADERS eventviews_journal_HEADERS
  PREFIX EventViews
  RELATIVE journal
)

ecm_generate_headers(eventviews_CamelCasemultiagenda_HEADERS
  HEADER_NAMES
  MultiAgendaView
  ConfigDialogInterface
  REQUIRED_HEADERS eventviews_multiagenda_HEADERS
  PREFIX EventViews
  RELATIVE multiagenda
)

ecm_generate_headers(eventviews_CamelCasetimeline_HEADERS
  HEADER_NAMES
  TimeLineView
  REQUIRED_HEADERS eventviews_timeline_HEADERS
  PREFIX EventViews
  RELATIVE timeline
)

ecm_generate_headers(eventviews_CamelCasewhatsnext_HEADERS
  HEADER_NAMES
  WhatsNextView
  REQUIRED_HEADERS eventviews_whatsnext_HEADERS
  PREFIX EventViews
  RELATIVE whatsnext
)

ecm_generate_pri_file(BASE_NAME EventViews
  LIB_NAME KPim${KF_MAJOR_VERSION}EventViews
  DEPS "KMime AkonadiCalendar" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR
  ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/EventViews
)

install(FILES
  ${eventviews_CamelCase_HEADERS}
  ${eventviews_CamelCaseagenda_HEADERS}
  ${eventviews_CamelCasetodo_HEADERS}
  ${eventviews_CamelCasewhatsnext_HEADERS}
  ${eventviews_CamelCasetimeline_HEADERS}
  ${eventviews_CamelCasemultiagenda_HEADERS}
  ${eventviews_CamelCasejournal_HEADERS}
  ${eventviews_CamelCaselist_HEADERS}
  ${eventviews_CamelCasemonth_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/EventViews/EventViews
  COMPONENT Devel
)

install(FILES
  ${eventviews_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/eventviews_export.h
  ${eventviews_CamelCase_HEADERS}
  ${eventviews_agenda_HEADERS}
  ${eventviews_todo_HEADERS}
  ${eventviews_whatsnext_HEADERS}
  ${eventviews_timeline_HEADERS}
  ${eventviews_multiagenda_HEADERS}
  ${eventviews_journal_HEADERS}
  ${eventviews_list_HEADERS}
  ${eventviews_month_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/EventViews/eventviews
  COMPONENT Devel
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
ecm_qt_install_logging_categories(EXPORT EVENTVIEWS FILE eventviews.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}EventViews_QCH
        NAME KPim${KF_MAJOR_VERSION}EventViews
        BASE_NAME KPim${KF_MAJOR_VERSION}EventViews
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${eventviews_CamelCase_HEADERS}
        ${eventviews_agenda_HEADERS}
        ${eventviews_todo_HEADERS}
        ${eventviews_whatsnext_HEADERS}
        ${eventviews_timeline_HEADERS}
        ${eventviews_multiagenda_HEADERS}
        ${eventviews_journal_HEADERS}
        ${eventviews_list_HEADERS}
        ${eventviews_month_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            EVENTVIEWS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if(BUILD_TESTING)
    add_subdirectory(month/autotests)
endif()

=== tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_executable(createcolorgui_test createcolorgui_test.cpp createcolorgui_test.h)
ecm_mark_as_test(createcolorgui_test)
target_link_libraries(createcolorgui_test
  Qt::Core
  Qt::Gui
  KPim${KF_MAJOR_VERSION}::EventViews
  KF${KF_MAJOR_VERSION}::I18n
  KF${KF_MAJOR_VERSION}::ConfigGui
)

=== debian/changelog ===
libkf5eventviews (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:04:06 +0000

libkf5eventviews (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:35:53 +0000

libkf5eventviews (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:30:10 -0700

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.4~),
-               libkf5akonadicalendar-dev (>= 4:23.08.4~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadicalendar-dev (>= 4:23.08.5~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:23.08.4~),
-               libkf5calendarutils-dev (>= 4:23.08.4~),
+               libkf5calendarsupport-dev (>= 4:23.08.5~),
+               libkf5calendarutils-dev (>= 4:23.08.5~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.4~),
+               libkf5contacteditor-dev (>= 4:23.08.5~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 23.08.4~),
-               libkf5libkdepim-dev (>= 4:23.08.4~),
-               libkf5mime-dev (>= 23.08.4~),
+               libkf5identitymanagement-dev (>= 23.08.5~),
+               libkf5libkdepim-dev (>= 4:23.08.5~),
+               libkf5mime-dev (>= 23.08.5~),
                libkf5textaddons-dev,
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
@@ -46,10 +46,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.4~),
-         libkf5akonadicalendar-dev (>= 4:23.08.4~),
-         libkf5calendarsupport-dev (>= 4:23.08.4~),
-         libkf5calendarutils-dev (>= 4:23.08.4~),
+Depends: libkf5akonadi-dev (>= 4:23.08.5~),
+         libkf5akonadicalendar-dev (>= 4:23.08.5~),
+         libkf5calendarsupport-dev (>= 4:23.08.5~),
+         libkf5calendarutils-dev (>= 4:23.08.5~),
          libkpim5eventviews5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done
